# SourcePath: lzo/20110308dev
Summary: Portable lossless data compression library
Name: sony-target-dev-lzo
%define pkgname %{sony_tool_triplet}-%{sony_target_dialect}-dev-lzo
Version: 2.04
Release: 08000101
Source: lzo-%{version}.tar.gz
License 	: GPL
URL: http://www.oberhumer.com/opensource/lzo/
Distribution: %{sony_distribution}
Vendor: %{sony_vendor}
Packager: %{sony_packager}
Group: %{sony_group}
Buildroot: %{_tmppath}/%{name}-root
Prefix: %{sony_target_dir}

%description
LZO is a portable lossless data compression library written in ANSI C.
It offers pretty fast compression and *very* fast decompression.
Decompression requires no memory. In addition there are slower
compression levels achieving a quite competitive compression ratio
while still decompressing at this very high speed.

%package -n %{pkgname}
Summary: Header files, libraries and development documentation for %{name}
Group: %{sony_group}
AutoReqProv: no

%description -n %{pkgname}
LZO is a portable lossless data compression library written in ANSI C.
It offers pretty fast compression and *very* fast decompression.
Decompression requires no memory. In addition there are slower
compression levels achieving a quite competitive compression ratio
while still decompressing at this very high speed.

%prep
%setup -n lzo-%{version}

%build
%sony_target_dev_setup 
%sony_target_dev_configure --enable-shared=yes
#make CC="$CC"
make

%install
rm -rf %{buildroot}
%sony_target_dev_setup
%sony_target_dev_makeinstall

%demangle_libtool

# 6.x
for l in `ls %{buildroot}%{sony_target_dir}%{sony_target_dev_lib_dir}`; do
   case $l in
       *.a|pkgconfig)
          mkdir -p %{buildroot}%{sony_target_dir}%{sony_target_devtool_lib_dir}
          mv %{buildroot}%{sony_target_dir}%{sony_target_dev_lib_dir}/$l \
             %{buildroot}%{sony_target_dir}%{sony_target_devtool_lib_dir}
          ;;
    esac
done

for l in `ls %{buildroot}%{sony_target_dir}%{sony_target_devtool_lib_dir}`; do
    if [ "$l" != "pkgconfig" ]; then
        ln -s ../../..%{sony_target_devtool_lib_dir}/$l \
            %{buildroot}%{sony_target_dir}%{sony_target_dev_lib_dir}/$l
    fi
done

%clean
rm -rf %{buildroot}

%files -n %{pkgname}
%defattr(-,root,root)

%{sony_target_dir}%{sony_target_dev_lib_dir}/liblzo2.la
%{sony_target_dir}%{sony_target_dev_lib_dir}/liblzo2.so*
%{sony_target_dir}%{sony_target_dev_include_dir}/lzo/*
%{sony_target_dir}%{sony_target_dev_lib_dir}/liblzo2.a

%{sony_target_dir}%{sony_target_devtool_lib_dir}/liblzo2.a

%changelog
* Tue Mar 08 2011 Sony Corporation
- Package Update 2.02 -> 2.04

* Thu Apr 16 2009 Sony Corporation
- Updated to 6.x 

* Mon Jun 09 2008 Sony Corporation
- add %demangle_libtool

* Mon Jul 09 2007 Sony Corporation
- initial version
